/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.CategoriaTipoPtoVtaDAO;
import com.rjconsultores.ventaboletos.entidad.CategoriaTipoPtoVta;
import com.rjconsultores.ventaboletos.entidad.TipoPuntoVenta;
import com.rjconsultores.ventaboletos.service.CategoriaTipoPtoVtaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Desenvolvimento
 */
@Service("categoriaTipoPtoVtaService")
public class CategoriaTipoPtoVtaServiceImpl implements CategoriaTipoPtoVtaService {

    @Autowired
    private CategoriaTipoPtoVtaDAO categoriaTipoPtoVtaDAO;

    public List<CategoriaTipoPtoVta> obtenerTodos() {
        return categoriaTipoPtoVtaDAO.obtenerTodos();
    }

    public CategoriaTipoPtoVta obtenerID(Integer id) {
        return categoriaTipoPtoVtaDAO.obtenerID(id);
    }

    @Transactional
    public CategoriaTipoPtoVta suscribir(CategoriaTipoPtoVta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return categoriaTipoPtoVtaDAO.suscribir(entidad);
    }

    @Transactional
    public CategoriaTipoPtoVta actualizacion(CategoriaTipoPtoVta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return categoriaTipoPtoVtaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(CategoriaTipoPtoVta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        categoriaTipoPtoVtaDAO.actualizacion(entidad);
    }

    public List<CategoriaTipoPtoVta> buscarPorPuntoVenta(TipoPuntoVenta tipoPuntoVenta) {
        return categoriaTipoPtoVtaDAO.buscarPorPuntoVenta(tipoPuntoVenta);
    }

    public void borrarFisico(CategoriaTipoPtoVta cd) {
        categoriaTipoPtoVtaDAO.borrarFisico(cd);
    }
}
